#include<stdio.h>
//#include<math.h>

int main(){

    int n, beg, end, redici = 0, even = 0, col;
    int j = 0;

    scanf("%d", &n);

    int nums[n];
    int odd[n];

    for(int i = 0; i<n; i++){
        scanf("%d", &nums[i]);
    }

    for(int i = 0; i<n; i++){
        odd[i] = -1;
    }

    for(int i = 0; i<n; i++){
        if(nums[i] % 2 == 0){
           even++;
           beg = i;
           end = n - 1 - i;
           redici = beg * end + beg + end + redici;
           //redici =
           odd[j] = i;
           //printf("%d\n", redici);
           j++;
        }
    }

    for(int  i = 0; i<n; i++){
        //printf("odd: %d\n", odd[i]);
    }

    for(int i = 0; i<even; i++){
        for(int j = i + 1; j<even; j++){
            //printf("odd i: %d\n", odd[i]);
            //printf("odd k: %d\n", odd[j]);
            col = odd[i] + n - odd[j] - 1 + odd[i]*(n - odd[j] - 1) + 1;
            //printf("col: %d\n", col);
        }
    }

//    int i = 0;
//    int k = 1;
//    while(odd[i] > 0){
//        while(odd[k] > 0){
//            printf("odd i: %d\n", odd[i]);
//            printf("odd k: %d\n", odd[k]);
//            col = odd[i] + n - odd[k] - 1 + odd[i]*(n - odd[k] - 1) - 1;
//
//            i++;
//            k++;
//            printf("col: %d\n", col);
//        }
//    }
    redici = redici + even;

    printf("result: %d", redici);

    return 0;
}
